diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 3736a302..99328083 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -1,46 +1,43 @@
 define('pgadmin.node.server', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
   'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
-  'pgadmin.server.supported_servers',
-  'pgadmin.user_management.current_user',
-  'pgadmin.alertifyjs', 'pgadmin.browser.server.privilege'
+  'pgadmin.server.supported_servers', 'pgadmin.user_management.current_user',
+  'pgadmin.alertifyjs', 'pgadmin.backform', 'pgadmin.browser.server.privilege',
 ], function(
-  gettext, url_for, $, _, S, pgAdmin, pgBrowser,
-  supported_servers, current_user, alertify
+  gettext, url_for, $, _, Backbone, S, pgAdmin, pgBrowser,
+  supported_servers, current_user, Alertify, Backform
 ) {
 
   if (!pgBrowser.Nodes['server']) {
     var SSL_MODES = ['prefer', 'require', 'verify-ca', 'verify-full'];
 
-    var SecurityModel = pgBrowser.SecLabelModel = pgBrowser.Node.Model.extend({
+    pgBrowser.SecLabelModel = pgBrowser.Node.Model.extend({
       defaults: {
         provider: undefined,
-        label: undefined
+        label: undefined,
       },
       schema: [{
         id: 'provider', label: gettext('Provider'),
         type: 'text', editable: true,
-        cellHeaderClasses:'width_percent_50'
+        cellHeaderClasses:'width_percent_50',
       },{
         id: 'label', label: gettext('Security Label'),
         type: 'text', editable: true,
-        cellHeaderClasses:'override_label_class_font_size'
+        cellHeaderClasses:'override_label_class_font_size',
       }],
       validate: function() {
-        var err = {},
-          errmsg = null;
         this.errorModel.clear();
 
         if (_.isUndefined(this.get('label')) ||
           _.isNull(this.get('label')) ||
-          String(this.get('label')).replace(/^\s+|\s+$/g, '') == '') {
-            errmsg = gettext('Label must be specified.');
-            this.errorModel.set('label', errmsg);
-            return errmsg;
+            String(this.get('label')).replace(/^\s+|\s+$/g, '') == '') {
+          var errmsg = gettext('Label must be specified.');
+          this.errorModel.set('label', errmsg);
+          return errmsg;
         }
 
         return null;
-      }
+      },
     });
 
     pgAdmin.Browser.Nodes['server'] = pgAdmin.Browser.Node.extend({
@@ -66,48 +63,48 @@ define('pgadmin.node.server', [
           name: 'create_server_on_sg', node: 'server_group', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, label: gettext('Server...'),
-          data: {action: 'create'}, icon: 'wcTabIcon icon-server'
+          data: {action: 'create'}, icon: 'wcTabIcon icon-server',
         },{
           name: 'create_server', node: 'server', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 3, label: gettext('Server...'),
-          data: {action: 'create'}, icon: 'wcTabIcon icon-server'
+          data: {action: 'create'}, icon: 'wcTabIcon icon-server',
         },{
           name: 'connect_server', node: 'server', module: this,
           applies: ['object', 'context'], callback: 'connect_server',
           category: 'connect', priority: 4, label: gettext('Connect Server'),
-          icon: 'fa fa-link', enable : 'is_not_connected'
+          icon: 'fa fa-link', enable : 'is_not_connected',
         },{
           name: 'disconnect_server', node: 'server', module: this,
           applies: ['object', 'context'], callback: 'disconnect_server',
           category: 'drop', priority: 5, label: gettext('Disconnect Server'),
-          icon: 'fa fa-chain-broken', enable : 'is_connected'
+          icon: 'fa fa-chain-broken', enable : 'is_connected',
         },{
           name: 'reload_configuration', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'reload_configuration',
           category: 'reload', priority: 6, label: gettext('Reload Configuration'),
-          icon: 'fa fa-repeat', enable : 'enable_reload_config'
+          icon: 'fa fa-repeat', enable : 'enable_reload_config',
         },{
           name: 'restore_point', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'restore_point',
           category: 'restore', priority: 9, label: gettext('Add Named Restore Point...'),
-          icon: 'fa fa-anchor', enable : 'is_applicable'
+          icon: 'fa fa-anchor', enable : 'is_applicable',
         },{
           name: 'change_password', node: 'server', module: this,
           applies: ['file'], callback: 'change_password',
           label: gettext('Change Password...'),
-          icon: 'fa fa-lock', enable : 'is_connected'
+          icon: 'fa fa-lock', enable : 'is_connected',
         },{
           name: 'wal_replay_pause', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'pause_wal_replay',
           category: 'wal_replay_pause', priority: 7, label: gettext('Pause Replay of WAL'),
-          icon: 'fa fa-pause-circle', enable : 'wal_pause_enabled'
+          icon: 'fa fa-pause-circle', enable : 'wal_pause_enabled',
         },{
           name: 'wal_replay_resume', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'resume_wal_replay',
           category: 'wal_replay_resume', priority: 8, label: gettext('Resume Replay of WAL'),
-          icon: 'fa fa-play-circle', enable : 'wal_resume_enabled'
-         }]);
+          icon: 'fa fa-play-circle', enable : 'wal_resume_enabled',
+        }]);
 
         _.bindAll(this, 'connection_lost');
         pgBrowser.Events.on(
@@ -122,38 +119,38 @@ define('pgadmin.node.server', [
       },
       enable_reload_config: function(node) {
         // Must be connected & is Super user
-        if (node && node._type == "server" &&
-            node.connected && node.user.is_superuser) {
-          return true
+        if (node && node._type == 'server' &&
+          node.connected && node.user.is_superuser) {
+          return true;
         }
         return false;
       },
       is_applicable: function(node) {
         // Must be connected & super user & not in recovery mode
-        if (node && node._type == "server" &&
-            node.connected && node.user.is_superuser
+        if (node && node._type == 'server' &&
+          node.connected && node.user.is_superuser
             && node.in_recovery == false) {
-            return true;
+          return true;
         }
         return false;
       },
       wal_pause_enabled: function(node) {
         // Must be connected & is Super user & in Recovery mode
-        if (node && node._type == "server" &&
-            node.connected && node.user.is_superuser
+        if (node && node._type == 'server' &&
+          node.connected && node.user.is_superuser
             && node.in_recovery == true
             && node.wal_pause == false) {
-            return true;
+          return true;
         }
         return false;
       },
       wal_resume_enabled: function(node) {
         // Must be connected & is Super user & in Recovery mode
-        if (node && node._type == "server" &&
-            node.connected && node.user.is_superuser
+        if (node && node._type == 'server' &&
+          node.connected && node.user.is_superuser
             && node.in_recovery == true
             && node.wal_pause == true) {
-            return true;
+          return true;
         }
         return false;
       },
@@ -191,7 +188,7 @@ define('pgadmin.node.server', [
               type:'DELETE',
               success: function(res) {
                 if (res.success == 1) {
-                  alertify.success(res.info);
+                  Alertify.success(res.info);
                   d = t.itemData(i);
                   t.removeIcon(i);
                   d.connected = false;
@@ -199,7 +196,7 @@ define('pgadmin.node.server', [
                   t.addIcon(i, {icon: d.icon});
                   obj.callbacks.refresh.apply(obj, [null, i]);
                   if (pgBrowser.serverInfo && d._id in pgBrowser.serverInfo) {
-                    delete pgBrowser.serverInfo[d._id]
+                    delete pgBrowser.serverInfo[d._id];
                   }
                   pgBrowser.enable_disable_menus(i);
                   // Trigger server disconnect event
@@ -210,32 +207,36 @@ define('pgadmin.node.server', [
                 }
                 else {
                   try {
-                    alertify.error(res.errormsg);
-                  } catch (e) {}
+                    Alertify.error(res.errormsg);
+                  } catch (e) {
+                    console.warn(e.stack || e);
+                  }
                   t.unload(i);
                 }
               },
-              error: function(xhr, status, error) {
+              error: function(xhr) {
                 try {
                   var err = $.parseJSON(xhr.responseText);
                   if (err.success == 0) {
-                    alertify.error(err.errormsg);
+                    Alertify.error(err.errormsg);
                   }
-                } catch (e) {}
+                } catch (e) {
+                  console.warn(e.stack || e);
+                }
                 t.unload(i);
-              }
+              },
             });
           };
 
           if (notify) {
-            alertify.confirm(
+            Alertify.confirm(
               gettext('Disconnect server'),
               gettext(
                 'Are you sure you want to disconnect the server %(server)s?',
                 {server: d.label}
               ),
-              function(evt) { disconnect(); },
-              function(evt) { return true;}
+              function() { disconnect(); },
+              function() { return true;}
             );
           } else {
             disconnect();
@@ -278,35 +279,38 @@ define('pgadmin.node.server', [
           if (!d)
             return false;
 
-          alertify.confirm(
+          Alertify.confirm(
             gettext('Reload server configuration'),
-            S( gettext('Are you sure you want to reload the server configuration on %s?')).sprintf(d.label).value(),
-            function(evt) {
+            S(
+              gettext('Are you sure you want to reload the server configuration on %s?')
+            ).sprintf(d.label).value(),
+            function() {
               $.ajax({
                 url: obj.generate_url(i, 'reload', d, true),
                 method:'GET',
                 success: function(res) {
                   if (res.data.status) {
-                    alertify.success(res.data.result);
+                    Alertify.success(res.data.result);
                   }
                   else {
-                    alertify.error(res.data.result);
+                    Alertify.error(res.data.result);
                   }
                 },
-                error: function(xhr, status, error) {
+                error: function(xhr) {
                   try {
                     var err = $.parseJSON(xhr.responseText);
                     if (err.success == 0) {
-                      alertify.error(err.errormsg);
+                      Alertify.error(err.errormsg);
                     }
-                  } catch (e) {}
+                  } catch (e) {
+                    console.warn(e.stack || e);
+                  }
                   t.unload(i);
-                }
+                },
               });
-          },
-          function(evt) {
-              return true;
-          });
+            },
+            function() { return true; }
+          );
 
           return false;
         },
@@ -321,40 +325,41 @@ define('pgadmin.node.server', [
           if (!d)
             return false;
 
-          alertify.prompt( gettext('Enter the name of the restore point to add'), '',
-           // We will execute this function when user clicks on the OK button
-           function(evt, value) {
-             // If user has provided a value, send it to the server
-             if(!_.isUndefined(value) && !_.isNull(value) && value !== ''
+          Alertify.prompt(
+            gettext('Enter the name of the restore point to add'), '',
+            // We will execute this function when user clicks on the OK button
+            function(evt, value) {
+              // If user has provided a value, send it to the server
+              if(!_.isUndefined(value) && !_.isNull(value) && value !== ''
                 && String(value).replace(/^\s+|\s+$/g, '') !== '') {
-              $.ajax({
-                url: obj.generate_url(i, 'restore_point', d, true),
-                method:'POST',
-                data:{ 'value': JSON.stringify(value) },
-                success: function(res) {
-                  alertify.success(res.data.result, 10);
-                },
-                error: function(xhr, status, error) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      alertify.error(err.errormsg, 10);
+                $.ajax({
+                  url: obj.generate_url(i, 'restore_point', d, true),
+                  method:'POST',
+                  data:{ 'value': JSON.stringify(value) },
+                  success: function(res) {
+                    Alertify.success(res.data.result, 10);
+                  },
+                  error: function(xhr) {
+                    try {
+                      var err = $.parseJSON(xhr.responseText);
+                      if (err.success == 0) {
+                        Alertify.error(err.errormsg, 10);
+                      }
+                    } catch (e) {
+                      console.warn(e.stack || e);
                     }
-                  } catch (e) {}
-                  t.unload(i);
-                }
-              });
-             } else {
+                    t.unload(i);
+                  },
+                });
+              } else {
                 evt.cancel = true;
-                alertify.error( gettext('Please enter a valid name.'), 10);
-             }
-           },
-           // We will execute this function when user clicks on the Cancel button
-           // Do nothing just close it
-           function(evt, value) {
-             evt.cancel = false;
-           }
-          ).set({'title':'Restore point name'});
+                Alertify.error( gettext('Please enter a valid name.'), 10);
+              }
+            },
+            // We will execute this function when user clicks on the Cancel
+            // button.  Do nothing just close it.
+            function(evt) { evt.cancel = false; }
+          ).set({'title': gettext('Restore point name')});
         },
 
         /* Change password */
@@ -364,7 +369,6 @@ define('pgadmin.node.server', [
             t = pgBrowser.tree,
             i = input.item || t.selected(),
             d = i && i.length == 1 ? t.itemData(i) : undefined,
-            node = d && pgBrowser.Nodes[d._type],
             url = obj.generate_url(i, 'change_password', d, true),
             is_pgpass_file_used = false,
             check_pgpass_url = obj.generate_url(i, 'check_pgpass', d, true);
@@ -372,51 +376,51 @@ define('pgadmin.node.server', [
           if (!d)
             return false;
 
-          if(!alertify.changeServerPassword) {
+          if(!Alertify.changeServerPassword) {
             var newPasswordModel = Backbone.Model.extend({
                 defaults: {
                   user_name: undefined,
                   password: undefined,
                   newPassword: undefined,
-                  confirmPassword: undefined
+                  confirmPassword: undefined,
                 },
                 validate: function() {
                   return null;
-                }
+                },
               }),
               passwordChangeFields = [{
-                  name: 'user_name', label: gettext('User'),
-                  type: 'text', disabled: true, control: 'input'
-                },{
-                  name: 'password', label: gettext('Current Password'),
-                  type: 'password', disabled: function() { return is_pgpass_file_used },
-                  control: 'input', required: true
-                },{
-                  name: 'newPassword', label: gettext('New Password'),
-                  type: 'password', disabled: false, control: 'input',
-                  required: true
-                },{
-                  name: 'confirmPassword', label: gettext('Confirm Password'),
-                  type: 'password', disabled: false, control: 'input',
-                  required: true
-                }];
-
-
-            alertify.dialog('changeServerPassword' ,function factory() {
+                name: 'user_name', label: gettext('User'),
+                type: 'text', disabled: true, control: 'input',
+              },{
+                name: 'password', label: gettext('Current Password'),
+                type: 'password', disabled: function() { return is_pgpass_file_used; },
+                control: 'input', required: true,
+              },{
+                name: 'newPassword', label: gettext('New Password'),
+                type: 'password', disabled: false, control: 'input',
+                required: true,
+              },{
+                name: 'confirmPassword', label: gettext('Confirm Password'),
+                type: 'password', disabled: false, control: 'input',
+                required: true,
+              }];
+
+
+            Alertify.dialog('changeServerPassword' ,function factory() {
               return {
-                 main: function(params) {
+                main: function(params) {
                   var title = gettext('Change Password ');
                   this.set('title', title);
                   this.user_name = params.user.name;
-                 },
-                 setup:function() {
+                },
+                setup:function() {
                   return {
                     buttons: [{
                       text: gettext('Ok'), key: 13, className: 'btn btn-primary',
-                      attrs:{name:'submit'}
+                      attrs:{name:'submit'},
                     },{
                       text: gettext('Cancel'), key: 27, className: 'btn btn-danger',
-                      attrs:{name:'cancel'}
+                      attrs:{name:'cancel'},
                     }],
                     // Set options for dialog
                     options: {
@@ -426,8 +430,8 @@ define('pgadmin.node.server', [
                       resizable: true,
                       maximizable: true,
                       pinnable: false,
-                      closableByDimmer: false
-                    }
+                      closableByDimmer: false,
+                    },
                   };
                 },
                 hooks: {
@@ -436,21 +440,21 @@ define('pgadmin.node.server', [
                     if (this.view) {
                       this.view.remove({data: true, internal: true, silent: true});
                     }
-                  }
+                  },
                 },
                 prepare: function() {
                   var self = this;
                   // Disable Ok button until user provides input
                   this.__internal.buttons[0].element.disabled = true;
 
-                  var $container = $("<div class='change_password'></div>"),
+                  var $container = $('<div class=\'change_password\'></div>'),
                     newpasswordmodel = new newPasswordModel(
                       {'user_name': self.user_name}
                     ),
                     view = this.view = new Backform.Form({
                       el: $container,
                       model: newpasswordmodel,
-                      fields: passwordChangeFields
+                      fields: passwordChangeFields,
                     });
 
                   view.render();
@@ -460,13 +464,13 @@ define('pgadmin.node.server', [
                   // Listen to model & if filename is provided then enable Backup button
                   this.view.model.on('change', function() {
                     var that = this,
-                        password = this.get('password'),
-                        newPassword = this.get('newPassword'),
-                        confirmPassword = this.get('confirmPassword');
+                      password = this.get('password'),
+                      newPassword = this.get('newPassword'),
+                      confirmPassword = this.get('confirmPassword');
 
                     // Only check password field if pgpass file is not available
                     if ((!is_pgpass_file_used &&
-                         (_.isUndefined(password) || _.isNull(password) || password == '')) ||
+                      (_.isUndefined(password) || _.isNull(password) || password == '')) ||
                         _.isUndefined(newPassword) || _.isNull(newPassword) || newPassword == '' ||
                         _.isUndefined(confirmPassword) || _.isNull(confirmPassword) || confirmPassword == '') {
                       self.__internal.buttons[0].element.disabled = true;
@@ -476,7 +480,7 @@ define('pgadmin.node.server', [
                       this.errorTimeout && clearTimeout(this.errorTimeout);
                       this.errorTimeout = setTimeout(function() {
                         that.errorModel.set('confirmPassword', gettext('Passwords do not match.'));
-                        } ,400);
+                      } ,400);
                     }else {
                       that.errorModel.clear();
                       self.__internal.buttons[0].element.disabled = false;
@@ -485,9 +489,9 @@ define('pgadmin.node.server', [
                 },
                 // Callback functions when click on the buttons of the Alertify dialogs
                 callback: function(e) {
-                  if (e.button.element.name == "submit") {
+                  if (e.button.element.name == 'submit') {
                     var self = this,
-                        args =  this.view.model.toJSON();
+                      args =  this.view.model.toJSON();
 
                     e.cancel = true;
 
@@ -499,31 +503,33 @@ define('pgadmin.node.server', [
                         if (res.success) {
                           // Notify user to update pgpass file
                           if(is_pgpass_file_used) {
-                            alertify.alert(
-                              gettext("Change Password"),
-                              gettext("Please make sure to disconnect the server"
-                              + " and update the new password in the pgpass file"
-                              + " before performing any other operation")
+                            Alertify.alert(
+                              gettext('Change Password'),
+                              gettext('Please make sure to disconnect the server'
+                                + ' and update the new password in the pgpass file'
+                                  + ' before performing any other operation')
                             );
                           }
 
-                          alertify.success(res.info);
+                          Alertify.success(res.info);
                           self.close();
                         } else {
-                          alertify.error(res.errormsg);
+                          Alertify.error(res.errormsg);
                         }
                       },
-                      error: function(xhr, status, error) {
+                      error: function(xhr) {
                         try {
                           var err = $.parseJSON(xhr.responseText);
                           if (err.success == 0) {
-                            alertify.error(err.errormsg);
+                            Alertify.error(err.errormsg);
                           }
-                        } catch (e) {}
-                      }
+                        } catch (e) {
+                          console.warn(e.stack || e);
+                        }
+                      },
                     });
                   }
-               }
+                },
               };
             });
           }
@@ -536,16 +542,18 @@ define('pgadmin.node.server', [
               if (res.success && res.data.is_pgpass) {
                 is_pgpass_file_used = true;
               }
-              alertify.changeServerPassword(d).resizeTo('40%','52%');
+              Alertify.changeServerPassword(d).resizeTo('40%','52%');
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
-                  alertify.error(err.errormsg);
+                  Alertify.error(err.errormsg);
                 }
-              } catch (e) {}
-            }
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
+            },
           });
 
           return false;
@@ -554,22 +562,21 @@ define('pgadmin.node.server', [
         /* Pause WAL Replay */
         pause_wal_replay: function(args) {
           var input = args || {},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d)
             return false;
 
-          var data = d;
           $.ajax({
             url: obj.generate_url(i, 'wal_replay' , d, true),
             type:'DELETE',
-            dataType: "json",
+            dataType: 'json',
             success: function(res) {
               if (res.success == 1) {
-                alertify.success(res.info);
+                Alertify.success(res.info);
                 t.itemData(i).wal_pause=res.data.wal_pause;
                 t.unload(i);
                 t.setInode(i);
@@ -580,38 +587,38 @@ define('pgadmin.node.server', [
                 }, 10);
               }
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
-                  msg = S(err.errormsg).value();
-                  alertify.error(err.errormsg);
+                  Alertify.error(err.errormsg);
                 }
-              } catch (e) {}
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
               t.unload(i);
-            }
-          })
+            },
+          });
         },
 
         /* Resume WAL Replay */
         resume_wal_replay: function(args) {
           var input = args || {},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d)
             return false;
 
-          var data = d;
           $.ajax({
             url: obj.generate_url(i, 'wal_replay' , d, true),
             type:'PUT',
-            dataType: "json",
+            dataType: 'json',
             success: function(res) {
               if (res.success == 1) {
-                alertify.success(res.info);
+                Alertify.success(res.info);
                 t.itemData(i).wal_pause=res.data.wal_pause;
                 t.unload(i);
                 t.setInode(i);
@@ -622,18 +629,19 @@ define('pgadmin.node.server', [
                 }, 10);
               }
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
-                  msg = S(err.errormsg).value();
-                  alertify.error(err.errormsg);
+                  Alertify.error(err.errormsg);
                 }
-              } catch (e) {}
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
               t.unload(i);
-            }
-          })
-        }
+            },
+          });
+        },
       },
       model: pgAdmin.Browser.Node.Model.extend({
         defaults: {
@@ -656,7 +664,7 @@ define('pgadmin.node.server', [
           sslcert: undefined,
           sslkey: undefined,
           sslrootcert: undefined,
-          sslcrl: undefined
+          sslcrl: undefined,
         },
         // Default values!
         initialize: function(attrs, args) {
